Subject: Re: Problems debugging threads with gdb/b18
From: [email-masked] ("wiljan")

14 Jul 1997 15:57:46 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Stan wrote:

> GDB needs OS-specific support for threads, and b18 doesn't have it.
> Michael Snyder ([email-masked]) wrote this when he was at NeXT,
> but hasn't incorporated into Cygnus GDB sources yet.  Everybody who
> wants him to add this should send him mail saying "pretty please".
I was not ware of this.
A few months ago I addapted win32-nat.c myself to make gdb thread aware.
With this updated win32-nat.c it seems to work fine and the commands
"thread x" and "info threads" work.
If your interested then I can post my updated win32-nat.c to the gnu-win32
mailing list.

Wiljan

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".